const RESOURCES: Resource[] = [
  {
    name: "30 Seconds Of Interviews",
    description:
      "A curated collection of common interview questions to help you prepare for your next interview.",
    url: "https://30secondsofinterviews.org/",
    github: "https://github.com/30-seconds/30-seconds-of-interviews",
    icon: "https://30secondsofinterviews.org/30s-favicon.107cc86d.ico",
    tags: [
      "web development",
      "html",
      "css",
      "javascript",
      "react",
      "node",
      "security",
      "career",
      "interview",
      "programming",
      "coding",
      "frontend",
      "backend",
      "learning",
      "github",
      "free",
    ],
  },
  {
    name: "Cloudcraft",
    description:
      "A site where you can create smart URL diagrams and visualize your cloud architecture easily",
    url: "https://www.cloudcraft.co/",
    github: "https://github.com/cloudcraft",
    icon: "https://global-uploads.webflow.com/57013820ae28654573965bf2/57013a1ff31eee4673af9209_cloudcraft.svg",
    tags: [
      "aws",
      "cloud diagrams",
      "cloud architecture",
      "tools",
      "programming",
      "coding",
      "web development",
    ],
  },
  {
    name: "SAVEE",
    description:
      "SAVEE is a platform for you to get inspired save everything you love, right on your phone. Save images straight from Instagram and your browser.",
    url: "https://savee.it/",
    icon: "https://www.evernote.design/assets/images/savee.jpg",
    tags: ["graphic design", "ui/ux", "pinboard", "moodboard"],
  },
  {
    name: "freeCodeCamp",
    description:
      "freeCodeCamp is a community of millions of people around the world who are learning to code together. You can learn to code with free online courses, programming projects, and interview preparation for developer jobs.",
    url: "https://www.freecodecamp.org/",
    github: "https://github.com/freeCodeCamp",
    icon: "https://www.freecodecamp.org/icons/icon-512x512.png?v=6cba562cbd10e31af925a976f3db73f7",
    tags: [
      "career",
      "programming",
      "web development",
      "javascript",
      "frontend",
      "backend",
      "coding",
      "learning",
      "courses",
      "github",
      "all",
      "free",
      "certification",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-0"],
    },
  },
  {
    name: "The Odin Project",
    description:
      "The Odin Project provides a free open source coding curriculum that can be taken entirely online.",
    url: "https://www.theodinproject.com/",
    github: "https://github.com/TheOdinProject",
    icon: "https://www.theodinproject.com/favicon-32x32.png",
    tags: [
      "career",
      "programming",
      "web development",
      "javascript",
      "frontend",
      "backend",
      "coding",
      "learning",
      "courses",
      "all",
      "free",
      "github",
      "certification",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-0"],
    },
  },
  {
    name: "CSSBattle",
    description:
      'CSSBattle is an online CSS Code Golfing game. Here, players from all around the world try to visually replicate "Targets" in smallest possible CSS code and battle it out to get to the top of the leaderboard.',
    url: "https://cssbattle.dev/",
    icon: "https://cssbattle.dev/images/logo-square.png",
    tags: [
      "programming",
      "web development",
      "javascript",
      "frontend",
      "coding",
      "css",
      "html",
      "learning",
      "free",
      "practice",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-2"],
    },
  },
  {
    name: "B. Tech ECE Notes",
    description:
      "Collection of all notes of SRMIST B.Tech Electronics and Communications Dept. for the academic year: 2020-24.",
    url: "https://notes.kunalkeshan.dev",
    github: "https://github.com/kunalkeshan/SRMIST-B.Tech-ECE-Notes-2022-24",
    icon: "https://notes.kunalkeshan.dev/logo192.png",
    tags: [
      "open source",
      "ece",
      "github",
      "free",
      "notes",
      "srmist",
      "college",
      "study",
    ],
  },
  {
    name: "Fontjoy",
    description:
      "Fontjoy helps designers choose the best font combinations. Mix and match different fonts for the perfect pairing",
    url: "https://fontjoy.com/",
    icon: "https://www.threebu.it/public/247/fontjoy-logo.jpg",
    tags: ["font-pairing", "graphic design", "free"],
  },
  {
    name: "CSS Grid Garden",
    description: "A game for learning CSS grid layout",
    url: "https://cssgridgarden.com/",
    github: "https://github.com/thomaspark/gridgarden/",
    icon: "https://raw.githubusercontent.com/thomaspark/gridgarden/master/favicon.ico",
    tags: [
      "open source",
      "css",
      "github",
      "frontend",
      "web development",
      "learning",
      "study",
      "free",
      "practice",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-2"],
    },
  },
  {
    name: "Learn Git Branching",
    description:
      "An interactive Git visualization tool to educate and challenge!",
    url: "https://learngitbranching.js.org/",
    github: "https://github.com/pcottle/learnGitBranching",
    icon: "https://learngitbranching.js.org/assets/favicon.ico",
    tags: [
      "frontend",
      "web development",
      "learning",
      "study",
      "free",
      "react",
      "javascript",
      "jsx",
      "practice",
    ],
  },
  {
    name: "Regexr",
    description:
      "RegExr is an online tool to learn, build and test Regular Expressions.",
    url: "https://regexr.com/",
    github: "https://github.com/gskinner/regexr/",
    icon: "https://regexr.com/assets/icons/apple-touch-icon.png?1",
    tags: [
      "javascript",
      "web development",
      "tools",
      "practice",
      "productivity",
      "programming",
      "open source",
      "github",
    ],
  },
  {
    name: "Patterns",
    description:
      "Patterns.dev is a free book on design patterns and component patterns for building powerful web apps with vanilla JavaScript and React.",
    url: "https://www.patterns.dev/",
    icon: "https://www.patterns.dev/img/favicon/favicon-192x192.png?hash=b4b7ad3f7c",
    tags: [
      "open source",
      "css",
      "github",
      "frontend",
      "web development",
      "learning",
      "study",
      "free",
      "practice",
      "git",
    ],
  },
  {
    name: "10 Fast Fingers (Typing Tests)",
    description: "Test & Improve your Typing Speed with our free Typing Games",
    url: "https://10fastfingers.com/",
    icon: "https://pbs.twimg.com/profile_images/517343049085485056/6ll-wjg5_400x400.png",
    tags: [
      "practice",
      "productivity",
      "tools",
      "typing",
      "programming",
      "coding",
      "free",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-4"],
    },
  },
  {
    name: "Stack Overflow",
    description:
      "Stack Overflow is a question and answer website for professional and enthusiast programmers.",
    url: "https://stackoverflow.com/",
    icon: "https://cdn.sstatic.net/Sites/stackoverflow/Img/apple-touch-icon.png?v=c78bd457575a",
    tags: [
      "practice",
      "productivity",
      "tools",
      "web development",
      "all",
      "programming",
      "coding",
      "free",
      "frontend",
      "backend",
      "react",
      "javascript",
      "html",
      "css",
      "git",
      "github",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-4"],
    },
  },
  {
    name: "Geeks For Geeks",
    description:
      "A Computer Science portal for geeks. It contains well written, well thought and well explained computer science and programming articles, quizzes and practice/competitive programming/company interview Questions.",
    url: "https://www.geeksforgeeks.org",
    icon: "https://www.geeksforgeeks.org/wp-content/uploads/gfg_200X200.png",
    tags: [
      "practice",
      "productivity",
      "tools",
      "web development",
      "all",
      "programming",
      "coding",
      "free",
      "frontend",
      "backend",
      "react",
      "javascript",
      "html",
      "css",
      "git",
      "github",
      "dsa",
      "competitive coding",
    ],
  },
  {
    name: "Crontab Guru",
    description:
      "The quick and simple editor for cron schedule expressions by Cronitor",
    url: "https://crontab.guru/",
    icon: "https://cdn.cronitor.io/static/img/favicon.4a228b95944f.png",
    tags: ["tools", "productivity", "programming", "backend"],
  },
  {
    name: "TOOOLS.design",
    description:
      "A growing archive of over a thousand design resources, weekly updated for the community. Discover highly useful design tools you never thought existed.",
    url: "https://www.toools.design/",
    icon: "https://cdn.buymeacoffee.com/uploads/profile_pictures/2022/05/8e8c6b213a3b2dfcb75fa78f1cd6728e.jpg@300w_0e.webp",
    tags: ["graphic design", "ui/ux", "productivity", "graphic design", "free"],
  },
  {
    name: "Checklist Design",
    description: "A collection of the best design practices.",
    url: "https://www.checklist.design/",
    icon: "https://uploads-ssl.webflow.com/5ba4b3c973b5d218459f7e6f/5f33ce6795b617814aa43eb1_checklist-favicon.png",
    tags: [
      "practice",
      "productivity",
      "tools",
      "graphic design",
      "ui/ux",
      "frontend",
      "free",
      "html",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-4"],
    },
  },
  {
    name: "remove.bg",
    description: "Remove Image Background. 100% Automatically and Free",
    url: "https://www.remove.bg/",
    icon: "https://www.remove.bg/apple-touch-icon.png?v=YAXaAv7pao",
    tags: [
      "productivity",
      "tools",
      "graphic design",
      "ui/ux",
      "frontend",
      "free",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-4"],
    },
  },
  {
    name: "figma",
    description:
      "With Figma, everyone works towards a shared goal. This has enabled product teams to ship new products faster and feel more confident in their decisions.",
    url: "https://www.figma.com/",
    github: "https://github.com/figma",
    icon: "https://miro.medium.com/max/1400/1*yaZ-u-EiZ6kanJP9zPFXVQ.jpeg",
    tags: ["graphic design", "graphic design", "ui/ux", "free", "productivity"],
  },
  {
    name: "Dev.to",
    description:
      "DEV is a community of software developers getting together to help one another out. The software industry relies on collaboration and networked learning. We provide a place for that to happen.",
    url: "https://dev.to/",
    icon: "https://res.cloudinary.com/practicaldev/image/fetch/s--gDM0_LTS--/c_limit,f_png,fl_progressive,q_80,w_180/https://practicaldev-herokuapp-com.freetls.fastly.net/assets/devlogo-pwa-512.png",
    tags: ["productivity", "blogging", "free", "web development", "community"],
  },
  {
    name: "Hashnode",
    description:
      "The hassle-free blogging platform for engineers, thought-leaders, and the dev community! Blog on a custom domain, own your content and share your ideas with the world.",
    url: "https://hashnode.com/",
    icon: "https://cdn.hashnode.com/res/hashnode/image/upload/v1611242155728/W3_BYVVVh.png",
    tags: ["productivity", "blogging", "free", "web development", "community"],
  },
  {
    name: "Internshala",
    description:
      "Internshala is India's no.1 internship and training platform with 40000+ paid internships in Engineering, MBA, media, law, arts, and other streams.",
    url: "https://internshala.com/",
    icon: "https://internshala.com//favicon.ico?v=5",
    tags: [
      "career",
      "interview",
      "internship",
      "programming",
      "engineering",
      "web development",
    ],
    roadmap: {
      ids: [""],
      subTopics: [""],
    },
  },
  {
    name: "Canva",
    description:
      "Canva is an Australian graphic design platform, used to create social media graphics, presentations, posters, documents and other visual content.",
    url: "https://www.canva.com/",
    icon: "https://static.canva.com/static/images/android-192x192-2.png",
    tags: ["productivity", "tools", "graphic design", "ui/ux", "free"],
  },
  {
    name: "Dribbble",
    description:
      "Dribbble is a self-promotion and social networking platform for digital designers and creatives.",
    url: "https://dribbble.com/",
    icon: "https://cdn.dribbble.com/assets/dribbble-ball-192-23ecbdf987832231e87c642bb25de821af1ba6734a626c8c259a20a0ca51a247.png",
    tags: [
      "productivity",
      "tools",
      "graphic design",
      "ui/ux",
      "frontend",
      "free",
      "practice",
    ],
  },
  {
    name: "Behance",
    description:
      "Behance is a social media platform owned by Adobe whose main focus is to showcase and discover creative work.",
    url: "https://www.behance.net/",
    icon: "https://a5.behance.net/3dcd67bd8b6dfcc3a5f57ce37aa58c5865e5e428/img/site/apple-touch-icon.png",
    tags: [
      "productivity",
      "tools",
      "graphic design",
      "ui/ux",
      "frontend",
      "free",
      "practice",
    ],
  },
  {
    name: "Meta Tags Generator",
    description:
      "With Meta Tags you can edit and experiment with your content then preview how your webpage will look on Google, Facebook, Twitter and more!",
    url: "https://metatags.io/",
    icon: "https://metatags.io/assets/favicon-71ffc45e665afe1eb5447e86787278b28f56dfb39a6d53c8603d8477bdee7b6f.png",
    tags: [
      "productivity",
      "tools",
      "frontend",
      "free",
      "web development",
      "html",
    ],
  },
  {
    name: "Mozilla Developer Network (MDN)",
    description:
      "MDN Web Docs is an open-source, collaborative project documenting Web platform technologies, including CSS, HTML, JavaScript, and Web APIs. We also provide an extensive set of learning resources for beginning developers and students",
    url: "https://developer.mozilla.org/",
    github: "https://github.com/mdn/",
    icon: "https://developer.mozilla.org/apple-touch-icon.6803c6f0.png",
    tags: [
      "javascript",
      "documentation",
      "programming",
      "coding",
      "github",
      "open source",
      "web development",
      "backend",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-0"],
    },
	},
	{
		name: "CSSFX",
		description: "A carefully crafted collection designed with a focus on fluidity, simplicity, and ease of use. Powered by CSS with minimal markup. Completely open source and MIT licensed.",
		url: "https://cssfx.netlify.app/",
		tags: ["css", "web development", "frontend"],
		github: "https://github.com/jolaleye/cssfx",
		icon: "https://cssfx.netlify.app/logo.png",
	},
	{
		name: "Beautiful CSS box-shadow examples",
		description: "Beautiful CSS box-shadow examples with their code snippets, that can be copied over with just a single click.",
		url: "https://getcssscan.com/css-box-shadow-examples",
		tags: ["css", "web development", "frontend"],
		icon: "https://toastlog.com/img/logos/cssscan.svg"
	},
  {
    name: "CSS-Tricks",
    description:
      "Daily articles about CSS, HTML, JavaScript, and all things related to web design and development.",
    url: "https://css-tricks.com/",
    icon: "https://css-tricks.com/apple-touch-icon.png",
    tags: [
      "web development",
      "css",
      "html",
      "web development",
      "blogging",
      "community",
      "javascript",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-2"],
    },
  },
  {
    name: "CSS {In Real Life}",
    description:
      "Tips, tricks and tutorials on the web’s most beautiful language.",
    url: "https://css-irl.info/",
    icon: "https://css-irl.info/favicon/apple-touch-icon.png",
    tags: [
      "web development",
      "css",
      "html",
      "web development",
      "blogging",
      "community",
      "javascript",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-2"],
    },
  },
  {
    name: "HTMLHell",
    description:
      "A collection of bad practices in HTML, copied from real websites.",
    url: "https://www.htmhell.dev/",
    icon: "https://www.htmhell.dev/apple-touch-icon.png",
    tags: [
      "web development",
      "css",
      "html",
      "web development",
      "blogging",
      "community",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-1"],
    },
  },
  {
    name: "JavaScript Tips",
    description:
      "JS Tips is a collection of useful daily JavaScript tips that will allow you to improve your code writing.",
    url: "https://www.jstips.co/",
    github: "https://github.com/loverajoel/jstips",
    icon: "https://www.jstips.co/favicon.ico",
    tags: [
      "javascript",
      "documentation",
      "programming",
      "coding",
      "github",
      "open source",
      "framework",
      "web development",
      "jsx",
      "react",
      "angular",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-3"],
    },
  },
  {
    name: "React JS Documentation",
    description: "A JavaScript library for building user interfaces.",
    url: "https://reactjs.org/",
    github: "https://github.com/facebook/react",
    icon: "https://reactjs.org/logo-180x180.png",
    tags: [
      "javascript",
      "documentation",
      "programming",
      "coding",
      "github",
      "open source",
      "typescript",
      "framework",
      "web development",
      "jsx",
      "react",
    ],
  },
  {
    name: "Coursera",
    description:
      "Coursera is the global online learning platform that offers anyone, anywhere access to online courses and degrees from world-class universities and companies.",
    url: "https://www.coursera.org/",
    icon: "https://d3njjcbhbojbot.cloudfront.net/web/images/favicons/android-chrome-v2-192x192.png",
    tags: [
      "career",
      "programming",
      "coding",
      "learning",
      "courses",
      "all",
      "certification",
      "college",
    ],
  },
  {
    name: "Node JS",
    description:
      "Node.js is an open-source, cross-platform, back-end JavaScript runtime environment that runs on a JavaScript Engine and executes JavaScript code outside a web browser, which was designed to build scalable network applications.",
    url: "https://nodejs.org/",
    icon: "https://nodejs.org/static/images/favicons/favicon-32x32.png",
    tags: [
      "library",
      "web development",
      "tools",
      "typing",
      "programming",
      "coding",
      "backend",
      "node",
      "frontend",
      "documentation",
      "open source",
    ],
  },
  {
    name: "NPTEL (National Programme on Technology Enhanced Learning)",
    description:
      "NPTEL is a joint venture of the IITs and IISc, funded by the Ministry of Education (MoE) Government of India, and was launched in 2003.",
    url: "https://nptel.ac.in/",
    icon: "https://www.mooclab.club/showcase/nptel.174/cover-image",
    tags: [
      "free",
      "notes",
      "college",
      "study",
      "notes",
      "courses",
      "certification",
    ],
  },
  {
    name: "edX",
    description:
      "edX is an American massive open online course provider created by Harvard and MIT.",
    url: "https://www.edx.org/",
    icon: "https://www.edx.org/favicon.ico",
    tags: [
      "career",
      "programming",
      "coding",
      "learning",
      "courses",
      "all",
      "certification",
      "college",
    ],
  },
  {
    name: "Udemy",
    description:
      "Udemy is an online learning and teaching marketplace with over 204000 courses and 54 million students.",
    url: "https://www.udemy.com/",
    icon: "https://www.udemy.com/staticx/udemy/images/v8/favicon-32x32.png",
    tags: [
      "career",
      "programming",
      "coding",
      "learning",
      "courses",
      "all",
      "certification",
      "college",
    ],
  },
  {
    name: "Varsity by Zerodha",
    description:
      "Varsity by Zerodha - Markets, Trading, and Investing Simplified.",
    url: "https://zerodha.com/varsity/",
    icon: "https://zerodha.com/varsity/wp-content/themes/varsity/images/favicon.png",
    tags: ["learning", "free", "finance"],
  },
  {
    name: "Introduction to Web Development by Web Dev Simplified",
    description:
      "If you are just starting you web development journey this is the only course you will need to get up and running with all of the technology that you will need to start creating web pages today.",
    url: "https://www.youtube.com/playlist?list=PLZlA0Gpn_vH-cEDOofOujFIknfZZpIk3a",
    icon: "https://yt3.ggpht.com/ytc/AMLnZu-PjRc81p0qP-ZPWxv8aY4k-4gFRzGEYs3HWbIQ=s48-c-k-c0x00ffffff-no-rj",
    tags: [
      "learning",
      "free",
      "web development",
      "youtube",
      "html",
      "css",
      "javascript",
    ],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-0"],
    },
  },
  {
    name: "HTML Crash Course For Absolute Beginners by Traversy Media",
    description:
      "In this crash course I will cram as much about HTML that I can. This is meant for absolute beginners. If you are interested in learning HTML but know nothing, then you are in the right place. We will be creating a cheat sheet with all of the common HTML5 tags, attributes, semantic markup, etc. We will not be focusing on CSS in this video. The CSS crash course will be released shortly after",
    url: "https://youtu.be/UB1O30fR-EE",
    icon: "https://yt3.ggpht.com/ytc/AMLnZu-fB-c8gczS81r-VBWgzndcSZgd1zGA2QcYfACHMg=s48-c-k-c0x00ffffff-no-rj",
    tags: ["learning", "free", "web development", "youtube", "html"],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-1"],
    },
  },
  {
    name: "CSS Crash Course For Absolute Beginners by Traversy Media",
    description:
      "In this video I will cram as much as possible about CSS. We will be looking at styles, selectors, declarations, etc. We will build a CSS cheat sheet that you can keep as a resource and we will also create a basic website layout. We are using CSS3 but mostly the basics. I will be creating an advanced CSS course with animations,  etc. I do have a Flexbox in 20 minutes video as well if you want to learn flexbox.",
    url: "https://youtu.be/yfoY53QXEnI",
    icon: "https://yt3.ggpht.com/ytc/AMLnZu-fB-c8gczS81r-VBWgzndcSZgd1zGA2QcYfACHMg=s48-c-k-c0x00ffffff-no-rj",
    tags: ["learning", "free", "web development", "youtube", "css"],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-2"],
    },
  },
  {
    name: "JavaScript Crash Course For Absolute Beginners by Traversy Media",
    description:
      " In this crash course we will go over the fundamentals of JavaScript including more modern syntax like classes, arrow functions, etc. This is the starting point on my channel for learning JS.",
    url: "https://youtu.be/hdI2bqOjy3c",
    icon: "https://yt3.ggpht.com/ytc/AMLnZu-fB-c8gczS81r-VBWgzndcSZgd1zGA2QcYfACHMg=s48-c-k-c0x00ffffff-no-rj",
    tags: ["learning", "free", "web development", "youtube", "css"],
    roadmap: {
      ids: ["001"],
      subTopics: ["001-3"],
    },
  },
  {
    name: "Web.dev",
    description:
      "Google believes in an open, accessible, private, and secure web. We want to help developers take advantage of the latest modern technologies to build amazing user experiences for everyone.",
    url: "https://web.dev/",
    icon: "https://web.dev/images/favicon-32x32.png",
    tags: ["learning", "free", "web development", "youtube", "css"],
  },
  {
    name: "Public APIs",
    description: "A collective list of free APIs",
    url: "https://github.com/public-apis/public-apis",
    github: "https://github.com/public-apis/public-apis",
    icon: "https://github.com/fluidicon.png",
    tags: ["open source", "github", "free", "learning", "web development"],
  },
  {
    name: "Random user",
    description:
      "A free, open-source API for generating random user data. Like Lorem Ipsum, but for people.",
    url: "https://randomuser.me/",
    github: "https://github.com/RandomAPI/Randomuser.me-Node",
    icon: "https://raw.githubusercontent.com/RandomAPI/Randomuser.me-Node/master/public/img/favicon.png",
    tags: ["open source", "github", "free"],
  },
  {
    name: "Zero to Mastery",
    description:
      "Lets Git started in the world of opensource, starting in the Zero to mastery's opensource playground.",
    url: "https://github.com/zero-to-mastery",
    github: "https://github.com/zero-to-mastery",
    icon: "https://avatars.githubusercontent.com/u/35373879?s=200&v=4",
    tags: [
      "open source",
      "web development",
      "practice",
      "programming",
      "coding",
    ],
  },
  {
    name: "Z-Library",
    description: "Part of Z-Library project. The world's largest ebook library",
    url: "https://b-ok.asia/",
    icon: "https://b-ok.asia/favicon-32x32.svg?v=2",
    tags: ["learning", "library"],
  },
  {
    name: "Codechef",
    description:
      "Practice more than 3000 problems across varying difficulty ratings and Popular topics. Curated for everyone, including novice and seasoned programmers.",
    url: "https://www.codechef.com/",
    icon: "https://res.cloudinary.com/crunchbase-production/image/upload/c_lpad,f_auto,q_auto:eco,dpr_1/zruiknbedz8yqafxbazb",
    tags: ["free", "coding", "programming", "dsa", "practice"],
  },
  {
    name: "Hackerrank",
    description:
      "HackerRank is a technology hiring platform that is the standard for assessing developer skills for over 2,800+ companies around the world. ",
    url: "https://www.hackerrank.com/",
    icon: "https://www.hackerrank.com/wp-content/uploads/2020/05/hackerrank_cursor_favicon_480px-300x300.png",
    tags: ["coding", "dsa", "programming", "practice"],
  },
  {
    name: "Leetcode",
    description:
      "LeetCode is the best platform to help you enhance your skills, expand your knowledge and prepare for technical interviews.",
    url: "https://leetcode.com/",
    icon: "https://assets.leetcode.com/static_assets/public/icons/apple-touch-icon-180x180.png",
    tags: ["interview", "coding", "dsa"],
  },

  {
    name: "Pluralsight",
    description:
      "Pluralsight is an online learning and teaching marketplace with over 25k courses and 20 million students",
    url: "https://pluralsight.com/",
    icon: "https://pluralsight.imgix.net/author/lg/1708f64b-8969-4de8-ae00-9c7b732c5fb9.jpg",
    tags: ["interview", "coding", "dsa"],
  },
  {
    name: "NextUI",
    description:
      "Beautiful, Modern and fast react library which Make beautiful websites regardless of your design experience. It includes pre-built components which are highly customisable",
    url: "https://nextui.org/",
    icon: "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse1.mm.bing.net%2Fth%3Fid%3DOIP.Yee2W_yTCRQd2iSp_k1nbAHaDt%26pid%3DApi&f=1&ipt=1430e8698b8b837b9ecbab68f9f820bac1d57f0f12252cca55a2f8fdcae4c02c&ipo=images",
    tags: [
      "programming",
      "web development",
      "javascript",
      "frontend",
      "coding",
      "css",
      "free",
    ],
	},
	{
		name: "daisyUI",
		description: "A free and open-source Tailwind CSS based component library.",
		url: "https://daisyui.com/",
		tags: ["frontend", "css", "react", "tailwindcss"],
		github: "https://github.com/saadeghi/daisyui",
		icon: "https://raw.githubusercontent.com/saadeghi/daisyui/master/src/docs/static/favicon.ico"
	},
	{
		name: "Headless UI",
		description: "Completely unstyled, fully accessible UI components, designed to integrate beautifully with Tailwind CSS.",
		url: "https://headlessui.com/",
		tags: ["frontend", "css", "react", "tailwindcss"],
		github: "https://github.com/tailwindlabs/headlessui",
		icon: "https://headlessui.com/apple-touch-icon.png"
	},
	{
		name: "React Aria",
		description: "React Aria is a collection of React hooks that implement accessible UI patterns.",
		url: "https://react-spectrum.adobe.com/react-aria/",
		tags: ["frontend", "css", "react", "library"],
		github: "https://github.com/adobe/react-spectrum",
		icon: "https://avatars.githubusercontent.com/u/476009?s=200&v=4",

	},
	{
		name: "Radix",
		description: "Radix is a React component library that provides accessible, fully customizable UI primitives.",
		url: "https://www.radix-ui.com/",
		tags: ["frontend", "css", "react", "library"],
		icon: "https://www.radix-ui.com/favicon.png",
		github: "https://github.com/radix-ui",
	}
];

export default RESOURCES;
